package zero1hd.rhythmbullet.screens;

import com.badlogic.gdx.Preferences;

import zero1hd.rhythmbullet.RhythmBullet;
import zero1hd.rhythmbullet.audio.SongList;
import zero1hd.rhythmbullet.stages.CreativeHUD;

public class CreativeScreen extends GameScreen {
	CreativeHUD chud;
	
	Preferences prefs;
	
	public CreativeScreen(RhythmBullet core, MainMenu mainMenu, SongList sl) {
		super(core, mainMenu);
		chud = new CreativeHUD(core, mainMenu, gameArea, gameHUD, sl);
		inputs.addProcessor(chud);

		this.prefs = core.getPrefs();
	}
	
	@Override
	public void show() {
		super.show();
	}
	
	@Override
	public void render(float delta) {
		super.render(delta);

		chud.getViewport().apply();
		chud.act();
		chud.draw();
	}
	
	@Override
	public void resize(int width, int height) {
		super.resize(width, height);
	}
	
	@Override
	public void dispose() {
		dispose();
		super.dispose();
	}
}
